#include "stm32f103c8t6.h"
#include "mbed.h"
#include "USBSerial.h"

Serial      pc(PA_2, PA_3);
DigitalOut  myled(LED1);

int main() {
    confSysClock(48);     // Configuring system clock for USB
    USBSerial usbSerial;
    
    pc.baud(9600);

    while(1) {
        myled = !myled;
        pc.printf("I am a serial port\r\n");
        usbSerial.printf("I am an USB serial port\r\n");
        wait_ms(1000);
    }
}

